diff --git a/jquery.pagepiling.js b/jquery.pagepiling.js
index 644a67c..b9b9fe9 100644
--- a/jquery.pagepiling.js
+++ b/jquery.pagepiling.js
@@ -1,5 +1,5 @@
 /* ===========================================================
- * pagepiling.js 1.2
+ * pagepiling.js 1.3
  *
  * https://github.com/alvarotrigo/pagePiling.js
  * MIT licensed
@@ -8,8 +8,9 @@
  *
  * ========================================================== */
 
-(function ($) {
+(function ($, document, window, undefined) {
     $.fn.pagepiling = function (custom) {
+        var PP = $.fn.pagepiling;
         var container = $(this);
         var lastScrolledDestiny;
         var lastAnimation = 0;
@@ -37,7 +38,7 @@
                 textColor: '#000',
                 bulletsColor: '#000',
                 position: 'right',
-                tooltips: null
+                tooltips: []
             },
             normalScrollElements: null,
             normalScrollElementTouchThreshold: 5,
@@ -59,14 +60,14 @@
         /**
         * Defines the scrolling speed
         */
-        $.fn.pagepiling.setScrollingSpeed = function(value){
+        PP.setScrollingSpeed = function(value){
            options.scrollingSpeed = value;
         };
 
         /**
         * Adds or remove the possiblity of scrolling through sections by using the mouse wheel or the trackpad.
         */
-        $.fn.pagepiling.setMouseWheelScrolling = function (value){
+        PP.setMouseWheelScrolling = function (value){
             if(value){
                 addMouseWheelHandler();
             }else{
@@ -77,12 +78,12 @@
         /**
         * Adds or remove the possiblity of scrolling through sections by using the mouse wheel/trackpad or touch gestures.
         */
-        $.fn.pagepiling.setAllowScrolling = function (value){
+        PP.setAllowScrolling = function (value){
             if(value){
-                $.fn.pagepiling.setMouseWheelScrolling(true);
+                PP.setMouseWheelScrolling(true);
                 addTouchHandler();
             }else{
-                $.fn.pagepiling.setMouseWheelScrolling(false);
+                PP.setMouseWheelScrolling(false);
                 removeTouchHandler();
             }
         };
@@ -90,14 +91,14 @@
         /**
         * Adds or remove the possiblity of scrolling through sections by using the keyboard arrow keys
         */
-        $.fn.pagepiling.setKeyboardScrolling = function (value){
+        PP.setKeyboardScrolling = function (value){
             options.keyboardScrolling = value;
         };
 
         /**
         * Moves sectio up
         */
-        $.fn.pagepiling.moveSectionUp = function () {
+        PP.moveSectionUp = function () {
             var prev = $('.pp-section.active').prev('.pp-section');
 
             //looping to the bottom if there's no more sections above
@@ -113,7 +114,7 @@
         /**
         * Moves sectio down
         */
-        $.fn.pagepiling.moveSectionDown = function () {
+        PP.moveSectionDown = function () {
             var next = $('.pp-section.active').next('.pp-section');
 
             //looping to the top if there's no more sections below
@@ -129,7 +130,7 @@
         /**
         * Moves the site to the given anchor or index
         */
-        $.fn.pagepiling.moveTo = function (section){
+        PP.moveTo = function (section){
             var destiny = '';
 
             if(isNaN(section)){
@@ -161,7 +162,7 @@
         });
 
         //init
-        $.fn.pagepiling.setAllowScrolling(true);
+        PP.setAllowScrolling(true);
 
         //creating the navigation dots
         if (!$.isEmptyObject(options.navigation) ) {
@@ -508,33 +509,33 @@
                         //up
                     case 38:
                     case 33:
-                        $.fn.pagepiling.moveSectionUp();
+                        PP.moveSectionUp();
                         break;
 
                         //down
                     case 40:
                     case 34:
-                        $.fn.pagepiling.moveSectionDown();
+                        PP.moveSectionDown();
                         break;
 
                         //Home
                     case 36:
-                        $.fn.pagepiling.moveTo(1);
+                        PP.moveTo(1);
                         break;
 
                         //End
                     case 35:
-                        $.fn.pagepiling.moveTo($('.pp-section').length);
+                        PP.moveTo($('.pp-section').length);
                         break;
 
                         //left
                     case 37:
-                        $.fn.pagepiling.moveSectionUp();
+                        PP.moveSectionUp();
                         break;
 
                         //right
                     case 39:
-                        $.fn.pagepiling.moveSectionDown();
+                        PP.moveSectionDown();
                         break;
 
                     default:
@@ -549,11 +550,11 @@
         */
         if(options.normalScrollElements){
             $(document).on('mouseenter', options.normalScrollElements, function () {
-                $.fn.pagepiling.setMouseWheelScrolling(false);
+                PP.setMouseWheelScrolling(false);
             });
 
             $(document).on('mouseleave', options.normalScrollElements, function(){
-                $.fn.pagepiling.setMouseWheelScrolling(true);
+                PP.setMouseWheelScrolling(true);
             });
         }
 
@@ -594,10 +595,10 @@
         function scrolling(type, scrollable){
             if(type == 'down'){
                 var check = 'bottom';
-                var scrollSection = $.fn.pagepiling.moveSectionDown;
+                var scrollSection = PP.moveSectionDown;
             }else{
                 var check = 'top';
-                var scrollSection = $.fn.pagepiling.moveSectionUp;
+                var scrollSection = PP.moveSectionUp;
             }
 
             if(scrollable.length > 0 ){
@@ -811,7 +812,7 @@
                 if(options.anchors.length){
                     link = options.anchors[cont];
                 }
-                if(typeof options.navigation.tooltips !== 'undefined'){
+                if(options.navigation.tooltips !== 'undefined'){
                     var tooltip = options.navigation.tooltips[cont];
                     if(typeof tooltip === 'undefined'){
                         tooltip = '';
@@ -916,4 +917,4 @@
         }
 
     };
-})(jQuery);
+}(jQuery, document, window));
\ No newline at end of file
diff --git a/jquery.pagepiling.min.js b/jquery.pagepiling.min.js
index 7a472c9..abefaf7 100644
--- a/jquery.pagepiling.min.js
+++ b/jquery.pagepiling.min.js
@@ -1,5 +1,5 @@
 /* ===========================================================
- * pagepiling.js 1.2
+ * pagepiling.js 1.3
  *
  * https://github.com/alvarotrigo/pagePiling.js
  * MIT licensed
@@ -7,24 +7,22 @@
  * Copyright (C) 2014 alvarotrigo.com - A project by Alvaro Trigo
  *
  * ========================================================== */
-
-(function(b){b.fn.pagepiling=function(C){function D(a){var d=b(".pp-section.active").index(".pp-section");a=a.index(".pp-section");return d>a?"up":"down"}function f(a,d){var c={destination:a,animated:d,activeSection:b(".pp-section.active"),anchorLink:a.data("anchor"),sectionIndex:a.index(".pp-section"),toMove:a,yMovement:D(a),leavingSection:b(".pp-section.active").index(".pp-section")+1};c.activeSection.is(a)||("undefined"===typeof c.animated&&(c.animated=!0),"undefined"!==typeof c.anchorLink&&E(c.anchorLink,
-c.sectionIndex),c.destination.addClass("active").siblings().removeClass("active"),c.sectionsToMove=F(c),"down"===c.yMovement?(c.translate3d="vertical"!==options.direction?"translate3d(-100%, 0px, 0px)":"translate3d(0px, -100%, 0px)",c.scrolling="-100%",options.css3||c.sectionsToMove.each(function(a){a!=c.activeSection.index(".pp-section")&&b(this).css(l(c.scrolling))}),c.animateSection=c.activeSection):(c.translate3d="translate3d(0px, 0px, 0px)",c.scrolling="0",c.animateSection=a),b.isFunction(options.onLeave)&&
-options.onLeave.call(this,c.leavingSection,c.sectionIndex+1,c.yMovement),G(c),H(c.anchorLink),I(c.anchorLink,c.sectionIndex),q=c.anchorLink,r=(new Date).getTime())}function G(a){options.css3?(t(a.animateSection,a.translate3d,a.animated),a.sectionsToMove.each(function(){t(b(this),a.translate3d,a.animated)}),setTimeout(function(){m(a)},options.scrollingSpeed)):(a.scrollOptions=l(a.scrolling),a.animated?a.animateSection.animate(a.scrollOptions,options.scrollingSpeed,options.easing,function(){u(a);m(a)}):
-(a.animateSection.css(l(a.scrolling)),setTimeout(function(){u(a);m(a)},400)))}function m(a){b.isFunction(options.afterLoad)&&options.afterLoad.call(this,a.anchorLink,a.sectionIndex+1)}function F(a){return"down"===a.yMovement?b(".pp-section").map(function(d){if(d<a.destination.index(".pp-section"))return b(this)}):b(".pp-section").map(function(d){if(d>a.destination.index(".pp-section"))return b(this)})}function u(a){"up"===a.yMovement&&a.sectionsToMove.each(function(d){b(this).css(l(a.scrolling))})}
-function l(a){return"vertical"===options.direction?{top:a}:{left:a}}function E(a,b){options.anchors.length?(location.hash=a,v(location.hash)):v(String(b))}function v(a){a=a.replace("#","");b("body")[0].className=b("body")[0].className.replace(/\b\s?pp-viewing-[^\s]+\b/g,"");b("body").addClass("pp-viewing-"+a)}function n(){return(new Date).getTime()-r<600+options.scrollingSpeed?!0:!1}function t(a,b,c){a.toggleClass("pp-easing",c);a.css({"-webkit-transform":b,"-moz-transform":b,"-ms-transform":b,transform:b})}
-function g(a){if(!n()){a=window.event||a;a=Math.max(-1,Math.min(1,a.wheelDelta||-a.deltaY||-a.detail));var d=b(".pp-section.active"),d=w(d);0>a?h("down",d):h("up",d);return!1}}function h(a,d){if("down"==a)var c="bottom",e=b.fn.pagepiling.moveSectionDown;else c="top",e=b.fn.pagepiling.moveSectionUp;if(0<d.length)if(isScrolled(c,d))e();else return!0;else e()}function w(a){return scrollable=a.find(".pp-scrollable")}function x(){return window.PointerEvent?{down:"pointerdown",move:"pointermove",up:"pointerup"}:
-{down:"MSPointerDown",move:"MSPointerMove",up:"MSPointerUp"}}function y(a){var b=[];b.y="undefined"!==typeof a.pageY&&(a.pageY||a.pageX)?a.pageY:a.touches[0].pageY;b.x="undefined"!==typeof a.pageX&&(a.pageY||a.pageX)?a.pageX:a.touches[0].pageX;return b}function z(a){return"undefined"===typeof a.pointerType||"mouse"!=a.pointerType}function J(a){a=a.originalEvent;z(a)&&(a=y(a),k=a.y,touchStartX=a.x)}function K(a){var d=a.originalEvent;!A(a.target)&&z(d)&&(a.preventDefault(),a=b(".pp-section.active"),
-a=w(a),n()||(d=y(d),touchEndY=d.y,touchEndX=d.x,"horizontal"===options.direction&&Math.abs(touchStartX-touchEndX)>Math.abs(k-touchEndY)?Math.abs(touchStartX-touchEndX)>e.width()/100*options.touchSensitivity&&(touchStartX>touchEndX?h("down",a):touchEndX>touchStartX&&h("up",a)):Math.abs(k-touchEndY)>e.height()/100*options.touchSensitivity&&(k>touchEndY?h("down",a):touchEndY>k&&h("up",a))))}function A(a,d){d=d||0;var c=b(a).parent();return d<options.normalScrollElementTouchThreshold&&c.is(options.normalScrollElements)?
-!0:d==options.normalScrollElementTouchThreshold?!1:A(c,++d)}function L(){b("body").append('<div id="pp-nav"><ul></ul></div>');var a=b("#pp-nav");a.css("color",options.navigation.textColor);a.addClass(options.navigation.position);for(var d=0;d<b(".pp-section").length;d++){var c="";options.anchors.length&&(c=options.anchors[d]);if("undefined"!==typeof options.navigation.tooltips){var e=options.navigation.tooltips[d];"undefined"===typeof e&&(e="")}a.find("ul").append('<li data-tooltip="'+e+'"><a href="#'+
-c+'"><span></span></a></li>')}a.find("span").css("border-color",options.navigation.bulletsColor)}function I(a,d){options.navigation&&(b("#pp-nav").find(".active").removeClass("active"),a?b("#pp-nav").find('a[href="#'+a+'"]').addClass("active"):b("#pp-nav").find("li").eq(d).find("a").addClass("active"))}function H(a){options.menu&&(b(options.menu).find(".active").removeClass("active"),b(options.menu).find('[data-menuanchor="'+a+'"]').addClass("active"))}function M(){var a=document.createElement("p"),
-b,c={webkitTransform:"-webkit-transform",OTransform:"-o-transform",msTransform:"-ms-transform",MozTransform:"-moz-transform",transform:"transform"};document.body.insertBefore(a,null);for(var e in c)void 0!==a.style[e]&&(a.style[e]="translate3d(1px,1px,1px)",b=window.getComputedStyle(a).getPropertyValue(c[e]));document.body.removeChild(a);return void 0!==b&&0<b.length&&"none"!==b}var e=b(this),q,r=0,B="ontouchstart"in window||0<navigator.msMaxTouchPoints||navigator.maxTouchPoints,k=touchStartX=touchEndY=
-touchEndX=0;options=b.extend(!0,{direction:"vertical",menu:null,verticalCentered:!0,sectionsColor:[],anchors:[],scrollingSpeed:700,easing:"easeInQuart",loopBottom:!1,loopTop:!1,css3:!0,navigation:{textColor:"#000",bulletsColor:"#000",position:"right",tooltips:null},normalScrollElements:null,normalScrollElementTouchThreshold:5,touchSensitivity:5,keyboardScrolling:!0,sectionSelector:".section",animateAnchor:!1,afterLoad:null,onLeave:null,afterRender:null},C);b.extend(b.easing,{easeInQuart:function(a,
-b,c,e,f){return e*(b/=f)*b*b*b+c}});b.fn.pagepiling.setScrollingSpeed=function(a){options.scrollingSpeed=a};b.fn.pagepiling.setMouseWheelScrolling=function(a){a?e.get(0).addEventListener?(e.get(0).addEventListener("mousewheel",g,!1),e.get(0).addEventListener("wheel",g,!1)):e.get(0).attachEvent("onmousewheel",g):e.get(0).addEventListener?(e.get(0).removeEventListener("mousewheel",g,!1),e.get(0).removeEventListener("wheel",g,!1)):e.get(0).detachEvent("onmousewheel",g)};b.fn.pagepiling.setAllowScrolling=
-function(a){a?(b.fn.pagepiling.setMouseWheelScrolling(!0),B&&(MSPointer=x(),e.off("touchstart "+MSPointer.down).on("touchstart "+MSPointer.down,J),e.off("touchmove "+MSPointer.move).on("touchmove "+MSPointer.move,K))):(b.fn.pagepiling.setMouseWheelScrolling(!1),B&&(MSPointer=x(),e.off("touchstart "+MSPointer.down),e.off("touchmove "+MSPointer.move)))};b.fn.pagepiling.setKeyboardScrolling=function(a){options.keyboardScrolling=a};b.fn.pagepiling.moveSectionUp=function(){var a=b(".pp-section.active").prev(".pp-section");
-!a.length&&options.loopTop&&(a=b(".pp-section").last());a.length&&f(a)};b.fn.pagepiling.moveSectionDown=function(){var a=b(".pp-section.active").next(".pp-section");!a.length&&options.loopBottom&&(a=b(".pp-section").first());a.length&&f(a)};b.fn.pagepiling.moveTo=function(a){var d="",d=isNaN(a)?b('[data-anchor="'+a+'"]'):b(".pp-section").eq(a-1);0<d.length&&f(d)};b(options.sectionSelector).each(function(){b(this).addClass("pp-section")});options.css3&&(options.css3=M());b(e).css({overflow:"hidden",
-"-ms-touch-action":"none","touch-action":"none"});b.fn.pagepiling.setAllowScrolling(!0);b.isEmptyObject(options.navigation)||L();var p=b(".pp-section").length;b(".pp-section").each(function(a){b(this).data("data-index",a);b(this).css("z-index",p);a||0!==b(".pp-section.active").length||b(this).addClass("active");"undefined"!==typeof options.anchors[a]&&b(this).attr("data-anchor",options.anchors[a]);"undefined"!==typeof options.sectionsColor[a]&&b(this).css("background-color",options.sectionsColor[a]);
-options.verticalCentered&&b(this).addClass("pp-table").wrapInner('<div class="pp-tableCell" style="height:100%" />');--p}).promise().done(function(){options.navigation&&(b("#pp-nav").css("margin-top","-"+b("#pp-nav").height()/2+"px"),b("#pp-nav").find("li").eq(b(".pp-section.active").index(".pp-section")).find("a").addClass("active"));b(window).on("load",function(){var a=window.location.hash.replace("#",""),a=b('.pp-section[data-anchor="'+a+'"]');0<a.length&&f(a,options.animateAnchor)});b.isFunction(options.afterRender)&&
-options.afterRender.call(this)});b(window).on("hashchange",function(){var a=window.location.hash.replace("#","").split("/")[0];a.length&&a&&a!==q&&(a=isNaN(a)?b('[data-anchor="'+a+'"]'):b(".pp-section").eq(a-1),f(a))});b(document).keydown(function(a){if(options.keyboardScrolling&&!n())switch(a.which){case 38:case 33:b.fn.pagepiling.moveSectionUp();break;case 40:case 34:b.fn.pagepiling.moveSectionDown();break;case 36:b.fn.pagepiling.moveTo(1);break;case 35:b.fn.pagepiling.moveTo(b(".pp-section").length);
-break;case 37:b.fn.pagepiling.moveSectionUp();break;case 39:b.fn.pagepiling.moveSectionDown()}});options.normalScrollElements&&(b(document).on("mouseenter",options.normalScrollElements,function(){b.fn.pagepiling.setMouseWheelScrolling(!1)}),b(document).on("mouseleave",options.normalScrollElements,function(){b.fn.pagepiling.setMouseWheelScrolling(!0)}));b(document).on("click touchstart","#pp-nav a",function(a){a.preventDefault();a=b(this).parent().index();f(b(".pp-section").eq(a))});b(document).on({mouseenter:function(){var a=
-b(this).data("tooltip");b('<div class="pp-tooltip '+options.navigation.position+'">'+a+"</div>").hide().appendTo(b(this)).fadeIn(200)},mouseleave:function(){b(this).find(".pp-tooltip").fadeOut(200,function(){b(this).remove()})}},"#pp-nav li")}})(jQuery);
\ No newline at end of file
+(function(b,g,h,u){b.fn.pagepiling=function(G){function H(a){var d=b(".pp-section.active").index(".pp-section");a=a.index(".pp-section");return d>a?"up":"down"}function k(a,d){var c={destination:a,animated:d,activeSection:b(".pp-section.active"),anchorLink:a.data("anchor"),sectionIndex:a.index(".pp-section"),toMove:a,yMovement:H(a),leavingSection:b(".pp-section.active").index(".pp-section")+1};c.activeSection.is(a)||("undefined"===typeof c.animated&&(c.animated=!0),"undefined"!==typeof c.anchorLink&&
+I(c.anchorLink,c.sectionIndex),c.destination.addClass("active").siblings().removeClass("active"),c.sectionsToMove=J(c),"down"===c.yMovement?(c.translate3d="vertical"!==options.direction?"translate3d(-100%, 0px, 0px)":"translate3d(0px, -100%, 0px)",c.scrolling="-100%",options.css3||c.sectionsToMove.each(function(a){a!=c.activeSection.index(".pp-section")&&b(this).css(p(c.scrolling))}),c.animateSection=c.activeSection):(c.translate3d="translate3d(0px, 0px, 0px)",c.scrolling="0",c.animateSection=a),
+b.isFunction(options.onLeave)&&options.onLeave.call(this,c.leavingSection,c.sectionIndex+1,c.yMovement),K(c),L(c.anchorLink),M(c.anchorLink,c.sectionIndex),v=c.anchorLink,w=(new Date).getTime())}function K(a){options.css3?(x(a.animateSection,a.translate3d,a.animated),a.sectionsToMove.each(function(){x(b(this),a.translate3d,a.animated)}),setTimeout(function(){q(a)},options.scrollingSpeed)):(a.scrollOptions=p(a.scrolling),a.animated?a.animateSection.animate(a.scrollOptions,options.scrollingSpeed,options.easing,
+function(){y(a);q(a)}):(a.animateSection.css(p(a.scrolling)),setTimeout(function(){y(a);q(a)},400)))}function q(a){b.isFunction(options.afterLoad)&&options.afterLoad.call(this,a.anchorLink,a.sectionIndex+1)}function J(a){return"down"===a.yMovement?b(".pp-section").map(function(d){if(d<a.destination.index(".pp-section"))return b(this)}):b(".pp-section").map(function(d){if(d>a.destination.index(".pp-section"))return b(this)})}function y(a){"up"===a.yMovement&&a.sectionsToMove.each(function(d){b(this).css(p(a.scrolling))})}
+function p(a){return"vertical"===options.direction?{top:a}:{left:a}}function I(a,b){options.anchors.length?(location.hash=a,z(location.hash)):z(String(b))}function z(a){a=a.replace("#","");b("body")[0].className=b("body")[0].className.replace(/\b\s?pp-viewing-[^\s]+\b/g,"");b("body").addClass("pp-viewing-"+a)}function r(){return(new Date).getTime()-w<600+options.scrollingSpeed?!0:!1}function x(a,b,c){a.toggleClass("pp-easing",c);a.css({"-webkit-transform":b,"-moz-transform":b,"-ms-transform":b,transform:b})}
+function l(a){if(!r()){a=h.event||a;a=Math.max(-1,Math.min(1,a.wheelDelta||-a.deltaY||-a.detail));var d=b(".pp-section.active"),d=A(d);0>a?m("down",d):m("up",d);return!1}}function m(a,b){if("down"==a)var c="bottom",f=e.moveSectionDown;else c="top",f=e.moveSectionUp;if(0<b.length)if(isScrolled(c,b))f();else return!0;else f()}function A(a){return scrollable=a.find(".pp-scrollable")}function B(){return h.PointerEvent?{down:"pointerdown",move:"pointermove",up:"pointerup"}:{down:"MSPointerDown",move:"MSPointerMove",
+up:"MSPointerUp"}}function C(a){var b=[];b.y="undefined"!==typeof a.pageY&&(a.pageY||a.pageX)?a.pageY:a.touches[0].pageY;b.x="undefined"!==typeof a.pageX&&(a.pageY||a.pageX)?a.pageX:a.touches[0].pageX;return b}function D(a){return"undefined"===typeof a.pointerType||"mouse"!=a.pointerType}function N(a){a=a.originalEvent;D(a)&&(a=C(a),n=a.y,touchStartX=a.x)}function O(a){var d=a.originalEvent;!E(a.target)&&D(d)&&(a.preventDefault(),a=b(".pp-section.active"),a=A(a),r()||(d=C(d),touchEndY=d.y,touchEndX=
+d.x,"horizontal"===options.direction&&Math.abs(touchStartX-touchEndX)>Math.abs(n-touchEndY)?Math.abs(touchStartX-touchEndX)>f.width()/100*options.touchSensitivity&&(touchStartX>touchEndX?m("down",a):touchEndX>touchStartX&&m("up",a)):Math.abs(n-touchEndY)>f.height()/100*options.touchSensitivity&&(n>touchEndY?m("down",a):touchEndY>n&&m("up",a))))}function E(a,d){d=d||0;var c=b(a).parent();return d<options.normalScrollElementTouchThreshold&&c.is(options.normalScrollElements)?!0:d==options.normalScrollElementTouchThreshold?
+!1:E(c,++d)}function P(){b("body").append('<div id="pp-nav"><ul></ul></div>');var a=b("#pp-nav");a.css("color",options.navigation.textColor);a.addClass(options.navigation.position);for(var d=0;d<b(".pp-section").length;d++){var c="";options.anchors.length&&(c=options.anchors[d]);if("undefined"!==options.navigation.tooltips){var e=options.navigation.tooltips[d];"undefined"===typeof e&&(e="")}a.find("ul").append('<li data-tooltip="'+e+'"><a href="#'+c+'"><span></span></a></li>')}a.find("span").css("border-color",
+options.navigation.bulletsColor)}function M(a,d){options.navigation&&(b("#pp-nav").find(".active").removeClass("active"),a?b("#pp-nav").find('a[href="#'+a+'"]').addClass("active"):b("#pp-nav").find("li").eq(d).find("a").addClass("active"))}function L(a){options.menu&&(b(options.menu).find(".active").removeClass("active"),b(options.menu).find('[data-menuanchor="'+a+'"]').addClass("active"))}function Q(){var a=g.createElement("p"),b,c={webkitTransform:"-webkit-transform",OTransform:"-o-transform",msTransform:"-ms-transform",
+MozTransform:"-moz-transform",transform:"transform"};g.body.insertBefore(a,null);for(var e in c)a.style[e]!==u&&(a.style[e]="translate3d(1px,1px,1px)",b=h.getComputedStyle(a).getPropertyValue(c[e]));g.body.removeChild(a);return b!==u&&0<b.length&&"none"!==b}var e=b.fn.pagepiling,f=b(this),v,w=0,F="ontouchstart"in h||0<navigator.msMaxTouchPoints||navigator.maxTouchPoints,n=touchStartX=touchEndY=touchEndX=0;options=b.extend(!0,{direction:"vertical",menu:null,verticalCentered:!0,sectionsColor:[],anchors:[],
+scrollingSpeed:700,easing:"easeInQuart",loopBottom:!1,loopTop:!1,css3:!0,navigation:{textColor:"#000",bulletsColor:"#000",position:"right",tooltips:[]},normalScrollElements:null,normalScrollElementTouchThreshold:5,touchSensitivity:5,keyboardScrolling:!0,sectionSelector:".section",animateAnchor:!1,afterLoad:null,onLeave:null,afterRender:null},G);b.extend(b.easing,{easeInQuart:function(a,b,c,e,f){return e*(b/=f)*b*b*b+c}});e.setScrollingSpeed=function(a){options.scrollingSpeed=a};e.setMouseWheelScrolling=
+function(a){a?f.get(0).addEventListener?(f.get(0).addEventListener("mousewheel",l,!1),f.get(0).addEventListener("wheel",l,!1)):f.get(0).attachEvent("onmousewheel",l):f.get(0).addEventListener?(f.get(0).removeEventListener("mousewheel",l,!1),f.get(0).removeEventListener("wheel",l,!1)):f.get(0).detachEvent("onmousewheel",l)};e.setAllowScrolling=function(a){a?(e.setMouseWheelScrolling(!0),F&&(MSPointer=B(),f.off("touchstart "+MSPointer.down).on("touchstart "+MSPointer.down,N),f.off("touchmove "+MSPointer.move).on("touchmove "+
+MSPointer.move,O))):(e.setMouseWheelScrolling(!1),F&&(MSPointer=B(),f.off("touchstart "+MSPointer.down),f.off("touchmove "+MSPointer.move)))};e.setKeyboardScrolling=function(a){options.keyboardScrolling=a};e.moveSectionUp=function(){var a=b(".pp-section.active").prev(".pp-section");!a.length&&options.loopTop&&(a=b(".pp-section").last());a.length&&k(a)};e.moveSectionDown=function(){var a=b(".pp-section.active").next(".pp-section");!a.length&&options.loopBottom&&(a=b(".pp-section").first());a.length&&
+k(a)};e.moveTo=function(a){var d="",d=isNaN(a)?b('[data-anchor="'+a+'"]'):b(".pp-section").eq(a-1);0<d.length&&k(d)};b(options.sectionSelector).each(function(){b(this).addClass("pp-section")});options.css3&&(options.css3=Q());b(f).css({overflow:"hidden","-ms-touch-action":"none","touch-action":"none"});e.setAllowScrolling(!0);b.isEmptyObject(options.navigation)||P();var t=b(".pp-section").length;b(".pp-section").each(function(a){b(this).data("data-index",a);b(this).css("z-index",t);a||0!==b(".pp-section.active").length||
+b(this).addClass("active");"undefined"!==typeof options.anchors[a]&&b(this).attr("data-anchor",options.anchors[a]);"undefined"!==typeof options.sectionsColor[a]&&b(this).css("background-color",options.sectionsColor[a]);options.verticalCentered&&b(this).addClass("pp-table").wrapInner('<div class="pp-tableCell" style="height:100%" />');--t}).promise().done(function(){options.navigation&&(b("#pp-nav").css("margin-top","-"+b("#pp-nav").height()/2+"px"),b("#pp-nav").find("li").eq(b(".pp-section.active").index(".pp-section")).find("a").addClass("active"));
+b(h).on("load",function(){var a=h.location.hash.replace("#",""),a=b('.pp-section[data-anchor="'+a+'"]');0<a.length&&k(a,options.animateAnchor)});b.isFunction(options.afterRender)&&options.afterRender.call(this)});b(h).on("hashchange",function(){var a=h.location.hash.replace("#","").split("/")[0];a.length&&a&&a!==v&&(a=isNaN(a)?b('[data-anchor="'+a+'"]'):b(".pp-section").eq(a-1),k(a))});b(g).keydown(function(a){if(options.keyboardScrolling&&!r())switch(a.which){case 38:case 33:e.moveSectionUp();break;
+case 40:case 34:e.moveSectionDown();break;case 36:e.moveTo(1);break;case 35:e.moveTo(b(".pp-section").length);break;case 37:e.moveSectionUp();break;case 39:e.moveSectionDown()}});options.normalScrollElements&&(b(g).on("mouseenter",options.normalScrollElements,function(){e.setMouseWheelScrolling(!1)}),b(g).on("mouseleave",options.normalScrollElements,function(){e.setMouseWheelScrolling(!0)}));b(g).on("click touchstart","#pp-nav a",function(a){a.preventDefault();a=b(this).parent().index();k(b(".pp-section").eq(a))});
+b(g).on({mouseenter:function(){var a=b(this).data("tooltip");b('<div class="pp-tooltip '+options.navigation.position+'">'+a+"</div>").hide().appendTo(b(this)).fadeIn(200)},mouseleave:function(){b(this).find(".pp-tooltip").fadeOut(200,function(){b(this).remove()})}},"#pp-nav li")}})(jQuery,document,window);
\ No newline at end of file
